aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-08-04 21:18:38 (GMT)
committerZac Medico <zmedico@gentoo.org>2012-08-04 21:18:38 (GMT)
commit1cc39de72ac5311db748341ef9183586556719d9 (patch)
tree6bbfd526079db6bd66a666a41a5eeac14c07f204
parentWhirlpoolAdd: raise TypeError if not bytes (diff)
downloadportage-1cc39de72ac5311db748341ef9183586556719d9.zip
portage-1cc39de72ac5311db748341ef9183586556719d9.tar.gz
portage-1cc39de72ac5311db748341ef9183586556719d9.tar.bz2
econf: add --disable-silent-rules, bug #379497#c6
-rw-r--r--bin/phase-helpers.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/bin/phase-helpers.sh b/bin/phase-helpers.sh
index 946520b..480e73e 100644
--- a/bin/phase-helpers.sh
+++ b/bin/phase-helpers.sh
@@ -420,11 +420,17 @@ econf() {
done
fi
+ local conf_help=$("${ECONF_SOURCE}/configure" --help 2>/dev/null)
+
+ case "${conf_help}" in
+ *--disable-silent-rules*) set -- --disable-silent-rules "$@";;
+ esac
+
# EAPI=4 adds --disable-dependency-tracking to econf
- if ! has "$EAPI" 0 1 2 3 3_pre2 && \
- "${ECONF_SOURCE}/configure" --help 2>/dev/null | \
- grep -q disable-dependency-tracking ; then
- set -- --disable-dependency-tracking "$@"
+ if ! has "$EAPI" 0 1 2 3 3_pre2 ; then
+ case "${conf_help}" in
+ *--disable-dependency-tracking*) set -- --disable-dependency-tracking "$@";;
+ esac
fi
# if the profile defines a location to install libs to aside from default, pass it on.